## SYNOPSIS

           cmp [OPTION]... FILE1 [FILE2 [SKIP1 [SKIP2]]]

## DESCRIPTION

           Compare two files byte by byte.

           -b  --print-bytes
                  Print differing bytes.

           -i SKIP  --ignore-initial=SKIP
                  Skip the first SKIP bytes of input.

           -i SKIP1:SKIP2  --ignore-initial=SKIP1:SKIP2

                  Skip  the  first SKIP1 bytes of FILE1 and the first
                  SKIP2 bytes of FILE2.

           -l  --verbose
                  Output byte numbers and  values  of  all  differing
                  bytes.

           -n LIMIT  --bytes=LIMIT
                  Compare at most LIMIT bytes.

           -s  --quiet  --silent
                  Output nothing; yield exit status only.

           -v  --version
                  Output version info.

           --help Output this help.

           SKIP1  and  SKIP2  are the number of bytes to skip in each
           file.  SKIP values may be followed by the following multi
           plicative  suffixes:  kB  1000,  K  1024,  MB 1,000,000, M
           1,048,576, GB 1,000,000,000, G 1,073,741,824,  and  so  on
           for T, P, E, Z, Y.

           If a FILE is `-' or missing, read standard input.

## AUTHOR

           Written by Torbjorn Granlund and David MacKenzie.

## REPORTING BUGS

           Report bugs to <bug-gnu-utils@gnu.org>.

## COPYRIGHT

           Copyright © 2002 Free Software Foundation, Inc.

           This program comes with NO WARRANTY, to the extent permit
           ted by law.  You may redistribute copies of  this  program
           under  the  terms  of the GNU General Public License.  For

    diffutils 2.8.1             April 2002                     CMP(1)